<?php


namespace App\HttpController;


use EasySwoole\Http\AbstractInterface\Controller;

class Index extends Controller
{

    public function index()
    {
        $file = EASYSWOOLE_ROOT.'/vendor/easyswoole/easyswoole/src/Resource/Http/welcome.html';
        if(!is_file($file)){
            $file = EASYSWOOLE_ROOT.'/src/Resource/Http/welcome.html';
        }
        $this->response()->write(file_get_contents($file));
    }

    /**
     * 3.5  商品上下架状态接口
     *
     * @param $skuArr
     *
     * @return array|bool
     */
    public function skuState()
    {
        // 获取 `POST` 或者 `GET` 提交的所有参数
        $data = $this->request()->getRequestParam();
//var_dump($data);

        // 返回给客户端
        //$this->response()->write($data . PHP_EOL);

        $skuArr = $data['skuArr'];

        //$sku = implode(',', $skuArr);
        $this->JdSdk = new JdSdk();
//var_dump($skuArr);
        $response = $this->JdSdk->api_product_sku_state($skuArr);
        print_r($response);
        $this->response()->write($response . PHP_EOL);
        //$response = json_decode($response, true);
//        =====$response=====
//        { "success": true, "resultMessage": "操作成功", "resultCode": "0000", "result": [ { "state": 0, "sku": 5729524 } ], "code": 200 }

        //return $response;

    }

    function test()
    {
        $this->response()->write('this is test');
    }

    protected function actionNotFound(?string $action)
    {
        $this->response()->withStatus(404);
        $file = EASYSWOOLE_ROOT.'/vendor/easyswoole/easyswoole/src/Resource/Http/404.html';
        if(!is_file($file)){
            $file = EASYSWOOLE_ROOT.'/src/Resource/Http/404.html';
        }
        $this->response()->write(file_get_contents($file));
    }
}